<mat-toolbar>Encuestas</mat-toolbar>

<router-outlet ></router-outlet>

<div class="example-container mat-elevation-z8" *ngIf="route.children.length === 0">    

    <div class="example-header">
        <mat-form-field>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Buscar Encuesta">
        </mat-form-field>
    </div>

    <mat-table [dataSource]="dataSource" matSort>
        
        <ng-container matColumnDef="id">
            <mat-header-cell *matHeaderCellDef mat-sort-header> ID </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.idEncuesta}} </mat-cell>
        </ng-container>
        
        <ng-container matColumnDef="nombres">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Nombres </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.nombres}} </mat-cell>
        </ng-container>
                
        <ng-container matColumnDef="apellidos">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Apellidos </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.apellidos}} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="eleccion">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Elección </mat-header-cell>
            <mat-cell *matCellDef="let row"> {{row.lenguaje.nombre}} </mat-cell>
        </ng-container>
     
        <ng-container matColumnDef="acciones">
            <mat-header-cell *matHeaderCellDef>Acciones</mat-header-cell>
            <mat-cell *matCellDef="let row">
                <button mat-button color="primary" [routerLink]="['edicion', row.idEncuesta]">Actualizar</button>
                <!--<button mat-button color="accent" (click)="eliminar(row.idEncuesta)">Eliminar</button>-->
            </mat-cell>
        </ng-container>
    
        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;">
        </mat-row>
    </mat-table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
</div>

<!--
<button mat-fab *ngIf="!isAdmin"  color="accent" style="float: right; margin-right: 20px" routerLink='/encuesta/nuevo' >
    <mat-icon>create</mat-icon>
</button>
-->